/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Nov-01-2011 07:27:00pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\Ester.cs
Lines of code: 78
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class CrowMeARiverQuest : BaseQuest
	{				
		public override object Title{ get{ return "Crow Me A River"; } }
		
		public override object Description{ get{ return "The crows keep cawing in the dead of the night. It's enough to make a witch's skin crawl! It's too bad I enjoy that sort of thing.<br><br><i>The witch pauses, analyzing the skeptical look on your face</i><br><br>Alright fine! I just plain don't like the look of them, they disgust me. Although, I also like that sort of thing come to think of it.<br><br><i>The witch peeres at you a second time</i><br><br>Alright! Alright! You caught me. I really just want these crows bumped off to tick off Ester the sage. Quite frankly, I'm getting peeved at her constantly talking about the crows. This'll shut her up. Go out and cull their numbers and maybe I never saw this giant bag of delicious candy go missing....hmmmm?"; } }
		
		public override object Refuse{ get{ return "<i>Ophelia just glares at you in disbelief. Apparently she has never had a quest refusal before</i>"; } }
		
		public override object Uncomplete{ get{ return "Oh just pick a spot around here and start waving your sword around. You're bound to hit a crow eventually!"; } }
		
		public override object Complete{ get{ return "Victory is mine! Looky here, you even brought back some crow feathers, lodged underneath your footwear!<br><br><i>The crazed witch tosses a reward your way and begins to frantically pluck every crow feather off your person. You debate whether or not the candy she's given you is safe to eat or not!</i>"; } }
	
		public CrowMeARiverQuest() : base()
		{			
			AddObjective( new SlayObjective( typeof( Crow ), "Crow", 25 ) );
			
			AddReward( new BaseReward( typeof( CandyBagE ), "A bag of candy" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Ophelia : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( CrowMeARiverQuest )
			};} 
		}
		
		[Constructable]
		public Ophelia() : base( "Ophelia", "the crazed" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Ophelia( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;
			HairHue = 1174;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}